Subject: Re: [PATCH][PPC32] Fix gianfar netdriver oops when using bootp...

From: Gerhard Jaeger <[email-masked]>
Date: Thu, 2 Dec 2004 09:25:35 +0100

On Thursday 02 December 2004 09:14, Kumar Gala wrote:
> Fun with mailers.  Try this url:
> 
> http://tinyurl.com/6skww

Thanks that works (I mean the URL ;)
I have not tested, but this might will work, as I noticed, that when addidionally
CONFIG_RARP is enabled, there are also no problems.

Anyway, I'll test ASAP and will tell you the results.

Thanx so far,
Gerhard

> 
> - kumar
> 
> On Dec 2, 2004, at 2:07 AM, Gerhard Jaeger wrote:
> 
> > Hi,
> >
> > On Wednesday 01 December 2004 23:19, Kumar Gala wrote:
> >  > There is some belief that the following patch should fix the issue:
> >  >
> > > http://linux.bkbits.net:8080/linux-2.5/[email-masked]? 
> > nav=index.html|ChangeSet@-3d
> >  >
> > > I would be interested to know if this helps w/o your patch.
> >
> > I'd like to cross-check this, but are you sure, you're referencing the 
> > correct
> >  changeset? Currently I only got:
> >  Error 500
> >  Unable to find revision 1.2249.2.2
> >
> > Gerhard
> >
> > >
> > > - kumar
> >  >
> > > On Dec 1, 2004, at 10:07 AM, Gerhard Jaeger wrote:
> >  >
> > > > Hi,
> >  > >
> >  > > this patch fixes an issue, that occurs on my MPC8541CDS, when 
> > trying to
> >  > >  use bootp to get the IP parameters. It seems, that the patch 
> > only 
> >  > > cures
> >  > >  the symptom but obviously not the cause ;)
> >  > >
> >  > > Signed-off-by: Gerhard Jaeger <[email-masked]>
> > > >
> >  > > --- linux-2.6.10-rc2-mm4/drivers/net/gianfar.c.orig     
> > 2004-11-15 
> > > > 02:26:34.000000000 +0100
> >  > >  +++ linux-2.6.10-rc2-mm4/drivers/net/gianfar.c  2004-12-01 
> > > > 17:00:19.000000000 +0100
> >  > >  @@ -1477,6 +1477,9 @@ static void gfar_phy_change(void *data)
> >  > >          struct gfar_private *priv = netdev_priv(dev);
> > > >         int result = 0;
> >  > >   
> >  > >  +       if( !priv->mii_info->phyinfo )
> >  > >  +               return;
> >  > >  +
> >  > >          /* Delay to give the PHY a chance to change the
> >  > >           * register state */
> > > >          msleep(1);
> >  >
> > >
> 
>